Page MenuHomePhabricator

efl_ui_spotlight_manager_*: cleanup canvas state on invalidate
ClosedPublic

Authored by bu5hm4n on Jul 12 2019, 11:10 AM.

Details

Summary

this is needed so we can support a empty object which is not freed.
Sounds useless, but required by bindings, this fixes the issue described
in D9300.

Depends on D9305

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jul 12 2019, 11:10 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Jul 12 2019, 11:10 AM

This patch looks good to me (without dependent patches D9304, D9305)

bu5hm4n updated this revision to Diff 23404.Jul 16 2019, 6:57 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

bu5hm4n updated this revision to Diff 23430.Jul 17 2019, 6:46 AM

... git add accident

cedric accepted this revision.Jul 19 2019, 10:30 AM
This revision is now accepted and ready to land.Jul 19 2019, 10:30 AM
Closed by commit rEFLe3557ec94427: efl_ui_spotlight_manager_*: cleanup canvas state on invalidate (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJul 25 2019, 11:45 AM
This revision was automatically updated to reflect the committed changes.